<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>
      {% if page.title %}
        {{ page.title }} | {{ site.title }}
      {% else %}
        {{ site.title }}
      {% endif %}
    </title>

    <meta name="description" content="{% if page.description %}{{ page.description }}{% else %}{{ site.description }}{% endif %}">

    {% if page.tags %}
      <meta name="tags" content="{{ page.tags }}">
    {% endif %}

    {% if page.title == "404 Not Found" %}
      <meta http-equiv="refresh" content="5; url=/">
    {% endif %}

    <link rel="canonical" href="{{ page.url | replace:'index.html','' | prepend: site.baseurl | prepend: site.url }}">
    <link rel="alternate" type="application/rss+xml" title="{{ site.title }}" href="{{ "/feed.xml" | prepend: site.baseurl | prepend: site.url }}" />

    <link href="https://fonts.googleapis.com/css?family=Montserrat|Roboto|Source+Code+Pro" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="{{ "/css/main.css" | prepend: site.baseurl }}">
  </head>

  <body>
    <div class="body">
      <header class="site-header">
        <h1><a href="/">{{ site.title }}</a></h1>
      </header>

      <nav class="site-nav">
        <ul>
          {% for link in site.links %}
            <li>
              <a href="{{ link.url }}">
                {{link.title}}
              </a>
            </li>
          {% endfor %}
        </ul>

        <ul>
          {% include social-icons.html%}
        </ul>
      </nav>

      <main class="site-main">
        {{ content }}
      </main>

      <footer class="site-footer">
        <ul class"footer-license">
          <li>
            <a href="https://choosealicense.com/licenses/artistic-2.0/">
              Artistic-2.0
            </a>
          </li>
          <li>
            <a href="/">
              {{ site.author.name }}
            </a>
          </li>
        </ul>

        <ul class="footer-social">
          {% include social-icons.html%}
        </ul>
      </footer>

    </div><!-- .body -->
    <!-- <script src=""></script> -->
  </body>
</html>
